<div class="p-20">
	<div class="mb-20">

		<div>
			<h3 fxFlex=""> Пириказы о зачислении</h3>

		</div>


	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<div class="art-card"
		[@animate]="{value:'*',params:{delay:'300ms',y:'25px'}}">

		<table mat-table [dataSource]="data">

			<ng-container matColumnDef="id">
				<th mat-header-cell *matHeaderCellDef > ID </th>
				<td mat-cell *matCellDef="let row"> {{ row.id }}</td>
			</ng-container>
			<ng-container matColumnDef="idSearch">
				<th mat-header-cell *matHeaderCellDef >
				</th>
			</ng-container>

			<ng-container matColumnDef="campaign">
				<th mat-header-cell *matHeaderCellDef > ПК </th>
				<td mat-cell *matCellDef="let row"> {{row.name_campaign }} </td>
			</ng-container>
			<ng-container matColumnDef="campaignSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_name_campaign"
								(input)="search.next(params)"
								placeholder="Поиск по ПК">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="orderName">
				<th mat-header-cell *matHeaderCellDef > Наименование</th>
				<td mat-cell *matCellDef="let row"> {{row.order_name }} </td>
			</ng-container>
			<ng-container matColumnDef="orderNameSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_order_name"
								(input)="search.next(params)"
								placeholder="Поиск по приказу">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="orderDate">
				<th mat-header-cell *matHeaderCellDef > Дата приказа</th>
				<td mat-cell *matCellDef="let row"> {{row.order_date | date: 'dd.MM.yyyy HH:mm'}} </td>
			</ng-container>

			<ng-container matColumnDef="published">
				<th mat-header-cell *matHeaderCellDef >Дата публикации</th>
				<td mat-cell *matCellDef="let row"> {{ row.published | date: 'dd.MM.yyyy HH:mm' }}</td>
			</ng-container>

			<ng-container matColumnDef="educationLevelName">
				<th mat-header-cell *matHeaderCellDef > Уровень образования </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_level }} </td>
			</ng-container>
			<ng-container matColumnDef="educationLevelNameSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_name_education_level"
								(input)="search.next(params)"
								placeholder="Поиск по уровню образования">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="educationFormName">
				<th mat-header-cell *matHeaderCellDef > Форма обучения </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_form }} </td>
			</ng-container>
			<ng-container matColumnDef="educationFormNameSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_name_education_form"
								(input)="search.next(params)"
								placeholder="Поиск по форме обучения">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="educationSourceName">
				<th mat-header-cell *matHeaderCellDef > Источник финансирования </th>
				<td mat-cell *matCellDef="let row"> {{row.name_education_source }} </td>
			</ng-container>
			<ng-container matColumnDef="educationSourceNameSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_name_education_source"
								(input)="search.next(params)"
								placeholder="Поиск по источнику финансирования">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="foreigners">
				<th mat-header-cell *matHeaderCellDef > Иностранцы </th>
				<td mat-cell *matCellDef="let row"> {{row.foreigners | yesNo }} </td>
			</ng-container>

			<ng-container matColumnDef="admissionType">
				<th mat-header-cell *matHeaderCellDef > Тип приказа </th>
				<td mat-cell *matCellDef="let row"> {{row.name_order_admission_type}} </td>
			</ng-container>

			<ng-container matColumnDef="admissionStatus">
				<th mat-header-cell *matHeaderCellDef > Статус приказа </th>
				<td mat-cell *matCellDef="let row"> {{row.name_order_admission_status}} </td>
			</ng-container>

			<ng-container matColumnDef="uid">
				<th mat-header-cell *matHeaderCellDef > UID </th>
				<td mat-cell *matCellDef="let row"> {{row.uid || '-' }} </td>
			</ng-container>
			<ng-container matColumnDef="uidSearch">
				<th mat-header-cell *matHeaderCellDef >
					<div>
						<mat-form-field fxFlex="" appearance="standard" class="l-input">
							<input matInput
								[(ngModel)]="params.search_uid"
								(input)="search.next(params)"
								placeholder="Поиск по UID">
						</mat-form-field>
					</div>

				</th>
			</ng-container>

			<ng-container matColumnDef="actions">
				<th mat-header-cell *matHeaderCellDef > </th>
				<td mat-cell *matCellDef="let row"> </td>
			</ng-container>
			<ng-container matColumnDef="actionsSearch">
				<th mat-header-cell *matHeaderCellDef >
					<button mat-icon-button
						(click)="clearFilter($event)"
						[disabled]="! (this.params.search_name_campaign
							|| this.params.search_order_name
							|| this.params.search_name_education_level
							|| this.params.search_name_education_form
							|| this.params.search_name_education_source
							|| this.params.search_uid)"
						matTooltip="Очистить фильтр"
						color="primary">
						<mat-icon svgIcon="cancel"></mat-icon>
					</button>

				</th>
			</ng-container>




			<ng-container matColumnDef="noRecord">
				<td mat-footer-cell *matFooterCellDef  [colSpan]="displayedColumns.length" ><i>Данные не найдены</i> </td>
			</ng-container>

			<tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: false"></tr>
			<tr mat-header-row *matHeaderRowDef="searchColumnsHeader" class="searchColumns"></tr>
			<tr mat-row
				class="table-row"
				*matRowDef="let item; columns: displayedColumns; "
				[routerLink]="['./', item.id]" ></tr>
			<tr mat-row *matFooterRowDef="['noRecord'] " [hidden]="data.length" ></tr>

		</table>
		<mat-paginator  [length]="total"
			[pageIndex]="params.page - 1"
			[pageSize]="params.limit"
			(page)="pagination.next($event)"
			[pageSizeOptions]="pageSizeOptions"
			showFirstLastButtons>
		</mat-paginator>
	</div>
</div>
